API Reference
Log In
API Reference

Clone a Global AI Model

Creates a copy of a global model that belongs to your team, with optional custom pricing. The cloned model will have all capability flags copied from the global model, and can have custom pricing overrides applied.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

ID of a global model, one shared by all Revenium customers. List them with GET /v2/api/sources/ai/models?modelType=GLOBAL.

Query Params
string
required

ID of the team that owns this data. Your copy of the model belongs to this team.

Body Params

Optional pricing overrides to apply to the cloned model. Only non-null fields will override the global model's pricing.

number | null

Cost per input token in USD. Must be non-negative with at most 10 decimal places.

number | null

Cost per output token in USD. Must be non-negative with at most 10 decimal places.

number | null

Cost per input token for cache creation in USD. Must be non-negative with at most 10 decimal places.

number | null

Cost per input token for 1-hour-TTL cache creation in USD. Must be non-negative with at most 10 decimal places.

number | null

Cost per input token for cache reads in USD. Must be non-negative with at most 10 decimal places.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/hal+json
*/*